import { type DomainEvent } from '@modules/shared';

export class UserUnbannedEvent implements DomainEvent {
  readonly eventName = 'user.unbanned';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly adminId: string,
  ) {}
}
